//+------------------------------------------------------------------+
//|                                                      atr mtf.mq4 |
//+------------------------------------------------------------------+

#property indicator_separate_window
#property indicator_buffers    1
#property indicator_color1     Green

//
//
//
//
//

extern int TimeFrame = 1440;
extern int AtrPeriod =    3;

double atrBuffer[];


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0, atrBuffer);
   return(0);
}
int deinit() { return(0); }



//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   int i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = Bars-counted_bars;

   //
   //
   //
   //
   //
   
   for(i = limit; i >= 0 ; i--)
   {
      int y = iBarShift(NULL,TimeFrame,Time[i]);
      atrBuffer[i] = iATR(NULL,TimeFrame,AtrPeriod,y);
   }
   return(0);
}

